python - 在macOS Sierra上使用git-review进行RequestsDependencyWarning

我刚刚(使用homebrew)将我的git-review从1.26升级到1.27。我的系统上也安装了Python 3(macOS Sierra)。

当我尝试使用git review -R提交补丁进行审核时,出现此错误;

/usr/local/Cellar/git-review/1.27.0/libexec/vendor/lib/python3.7/site-packages/requests/__init__.py:91: RequestsDependencyWarning: urllib3 (1.24) or chardet (3.0.4) doesn't match a supported version! RequestsDependencyWarning)


我已经在网上搜索并显示为空,也许这是macOS Sierra上具有Python软件包的最新版本git-review的兼容性问题?

最佳答案

我用brew reinstall git-review修复了问题,可以尝试一下。

本文翻译自 https://stackoverflow.com/questions/52956923/

网站遵循 CC BY-SA 4.0 协议,转载或引用请注明出处。

标签 python macos-sierra git-review


相关文章:

python - 用不同长度的数组替换pd.dataframe中列的一部分

git - git-review->将草稿升级为代码审查

git - 如何查看有关Git的特定提交

python - git review抱怨requests.packages.urllib3,但是安装了软件包

python - 如何使用python中的pandas仅从具有两个数据框的网页中选择第二个数据框?

java - Java等同于Python的切片[重复]

python - 列表理解嵌套循环,多种操作

swift - 验证NSTouchBar项目的最佳实用方法

objective-c - 如何在Safari v10.1中获取Safari历史记录域图像表单缓存

php - 无法在macOS Sierra上安装带有Homebrew的PHP 7